# Deposit information

## Deposit information

> \`order\_id\` or/and \`custom\_transaction\_id\` parameters must be set.

```json
{"openapi":"3.0.3","info":{"title":"A-Pay","version":"1.0.0"},"tags":[{"name":"Deposit","description":"Deposits"}],"servers":[{"url":"https://<domain>"}],"security":[{"apikey":[]}],"components":{"securitySchemes":{"apikey":{"type":"apiKey","name":"apikey","in":"header"}},"schemas":{"deposit_currency":{"type":"string","title":"Currency","enum":["ARS","BDT","BHD","BOB","BRL","EGP","ETB","GNF","INR","JMD","KES","KHR","LKR","MMK","MXN","NPR","PEN","PKR","PYG","TND","USD","UYU","XOF"],"description":"<details>\n  <summary>Payment system currency</summary>\n  \n  | Currency | Payment systems | Decimal places |\n  |----------|-----------------|----------------|\n  | ARS | `cvu_fast_p2p`, `cvu_p2p` | `0` |\n  | BDT | `apaybdt`, `bkash_a`, `bkash_api_v`, `bkash_b`, `bkash_p2p`, `nagad_a`, `nagad_api_v`, `nagad_b`, `nagad_p2p`, `tap_p2p`, `upay` | `0` |\n  | BHD | `stcpay_p2p` | `3` e.g. 0.001 |\n  | BOB | `veripagos_fast`, `yape_bob_p2p` | `0` |\n  | BRL | `pix_p2p` | `0` |\n  | EGP | `egp_card`, `egp_fast`, `egp_tel`, `egp_tel_fast` | `0` |\n  | ETB | `etb_fast`, `etb_p2p` | `0` |\n  | GNF | `orange_gin_p2p` | `0` |\n  | INR | `imps`, `inr_p2c`, `inr_p2p`, `paytm`, `phonepe`, `phonepe_fast`, `upi_a`, `upi_fast`, `upi_fast_qr`, `upi_fast_v`, `upi_fast_vip`, `upi_link`, `upi_p2p`, `upi_push` | `0` |\n  | JMD | `lynk_p2p`, `scotiabank_p2p` | `0` |\n  | KES | `mpesa` | `0` |\n  | KHR | `ababank`, `wing_l` | `0` |\n  | LKR | `ipay_fast`, `ipay_l`, `paygo_p2p` | `0` |\n  | MMK | `kbzpay_p2p`, `wavepay_l` | `0` |\n  | MXN | `spei_p2p` | `0` |\n  | NPR | `esewa`, `esewa_p2p`, `imepay_l`, `khalti`, `khalti_l` | `0` |\n  | PEN | `yape_pen_p2p` | `0` |\n  | PKR | `bankalfalah`, `easypaisa`, `easypaisa_l`, `jazzcash`, `jazzcash_fast`, `jazzcash_l`, `nayapay_l`, `raast_p2p` | `0` |\n  | PYG | `bancard_qr`, `itau_p2p` | `0` |\n  | TND | `d17_l`, `flouci`, `flouci_l` | `0` |\n  | USD | `banistmo_p2p`, `bcgeneral_p2p`, `yappy_p2p` | `2` e.g. 0.01 |\n  | UYU | `brou_p2p` | `0` |\n  | XOF | `moov_mli_p2p`, `orange_mli_p2p`, `orange_sen_p2p`, `wave_mli_p2p`, `wave_sen_p2p` | `0` |\n</details>"},"ps_deposit":{"type":"string","title":"Payment system","enum":["ababank","apaybdt","bancard_qr","banistmo_p2p","bankalfalah","bcgeneral_p2p","bkash_a","bkash_api_v","bkash_b","bkash_p2p","brou_p2p","cvu_fast_p2p","cvu_p2p","d17_l","easypaisa","easypaisa_l","egp_card","egp_fast","egp_tel","egp_tel_fast","esewa","esewa_p2p","etb_fast","etb_p2p","flouci","flouci_l","imepay_l","imps","inr_p2c","inr_p2p","ipay_fast","ipay_l","itau_p2p","jazzcash","jazzcash_fast","jazzcash_l","kbzpay_p2p","khalti","khalti_l","lynk_p2p","moov_mli_p2p","mpesa","nagad_a","nagad_api_v","nagad_b","nagad_p2p","nayapay_l","orange_gin_p2p","orange_mli_p2p","orange_sen_p2p","paygo_p2p","paytm","phonepe","phonepe_fast","pix_p2p","raast_p2p","scotiabank_p2p","spei_p2p","stcpay_p2p","tap_p2p","upay","upi_a","upi_fast","upi_fast_qr","upi_fast_v","upi_fast_vip","upi_link","upi_p2p","upi_push","veripagos_fast","wave_mli_p2p","wave_sen_p2p","wavepay_l","wing_l","yape_bob_p2p","yape_pen_p2p","yappy_p2p"],"description":"Name of the payment system in A-Pay"}}},"paths":{"/Remotes/deposit-info":{"get":{"tags":["Deposit"],"summary":"Deposit information","description":"`order_id` or/and `custom_transaction_id` parameters must be set.","parameters":[{"in":"query","name":"project_id","schema":{"type":"number"},"description":"Project ID in the A-Pay system","required":true},{"in":"query","name":"order_id","schema":{"type":"string","minimum":16,"maximum":16,"pattern":"^[0-9a-f]{16}$"},"description":"Deposit ID in the A-Pay system"},{"in":"query","name":"custom_transaction_id","schema":{"type":"string","maximum":200},"description":"Transaction ID in the client's system"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"oneOf":[{"title":"Success","required":["success","status","order_id","amount","currency","payment_system","custom_user_id","created_at"],"properties":{"success":{"type":"boolean","description":"`true` if there are no errors"},"status":{"type":"string","enum":["Pending","Success","Failed","Rejected"],"description":"Deposit status"},"order_id":{"type":"string","description":"Deposit ID in the A-Pay system"},"amount":{"type":"number","description":"Deposit amount"},"currency":{"$ref":"#/components/schemas/deposit_currency"},"payment_system":{"$ref":"#/components/schemas/ps_deposit"},"custom_transaction_id":{"type":"string","minimum":0,"maximum":200,"description":"Transaction ID in the client's system"},"custom_user_id":{"type":"string","minimum":0,"maximum":200,"description":"User ID in the client's system"},"created_at":{"type":"integer","description":"Deposit creation time in timestamp format"}}},{"title":"Error","required":["success","message","code"],"properties":{"success":{"type":"boolean","description":"`false` if an error occurred"},"message":{"type":"string","description":"Description of error"},"code":{"type":"number","description":"Error code in the A-Pay system"}}}]}}}},"400":{"description":"Error","content":{"application/json":{"schema":{"title":"Error","required":["success","message","code"],"properties":{"success":{"type":"boolean","description":"`false` if an error occurred"},"message":{"type":"string","description":"Description of error"},"code":{"type":"number","description":"Error code in the A-Pay system"}}}}}}}}}}}
```

**Example of the responses:**

{% code title="Success" %}

```json
{
  "success": true,
  "status": "Success",
  "order_id": "7fa13dbc3b79e05e",
  "amount": 10,
  "currency": "INR",
  "payment_system": "mpesa",
  "custom_transaction_id": "custom123",
  "custom_user_id": "user123",
  "created_at": 1665135515
}
```

{% endcode %}

{% code title="Error" %}

```json
{
  "success": false,
  "message": "Invalid request",
  "code": 400
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.a-pay.one/api-documentation/api-integration/deposit/deposit-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
